[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AssignTo

AssignTo - if the Destination is a CustomAction, copies some specified properties to the Destination, otherwise calls inherited AssignTo

## Declaration

Source position: controls.pp line 1120

`protected procedure TControl.AssignTo(`
`Dest: TPersistent`
`); override;`

## Description

AssignTo - if the Destination is a CustomAction, copies some specified properties to the Destination, otherwise calls inherited AssignTo

The copied properties are:

- Enabled
- Hint
- Caption
- Visible
- OnExecute (copied to OnClick)
- HelpContext
- HelpKeyword
- HelpType

## See also

TPersistent.AssignTo

The latest version of this document can be found at lazarus-ccr.sourceforge.net.